Concept
BasicOutputIteratorConcept
Iterator that allows dereferenced writing.

CopyConstructibleConcept | IteratorAssociatedTypesConcept

BasicOutputIteratorConcept

MutableForwardIteratorConcept

Concept Definition
Refines
CopyConstructibleConcept, IteratorAssociatedTypesConcept
Required Metafunctions

Difference | Type of an object that stores the difference between two iterators. (IteratorAssociatedTypesConcept)
GetValue | Type for reading values. (IteratorAssociatedTypesConcept)
Pointer | Returns pointer to an object, required for operator->, for example. (IteratorAssociatedTypesConcept)
Reference | Reference type. (IteratorAssociatedTypesConcept)
Value | Type of the items in the container or behind an iterator. (IteratorAssociatedTypesConcept)

Required Functions

assignValue | Assigns value to item.
goNext | Iterates to next position.
operator++ (prefix) | C++ built-in prefix increment operator.
operator++ (suffix) | C++ built-in suffix increment operator.
setValue | Makes holder dependent.

Refinements

MutableForwardIteratorConcept | A Forward Iterator that allows dereferenced assignment.

OutputIteratorConcept<T>
Include Headers
seqan/basic.h
Remarks
The SeqAn iterators mirror the definitions from ConceptC++.
Used By Function
assignValue, getValue, value, moveValue
Functions

getValue | Access to the value. (IteratorAssociatedTypesConcept)
setValue | Makes holder dependent.
value | Reference to the value. (IteratorAssociatedTypesConcept)

Examples
In the following, x is an iterator to type X, t is a valid rvalue of type X.
The following expressions must be valid.
*x = t // Dereference assignment.
++x // Preincrement.
(void)x++ // Postincrement.
*x++ = t // Postincrement and assign.
assignValue(x, t);
See Also
InputIteratorConcept
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:12:57